/*---------------------------------------------------------------------------*
 * TopWin.h
 *
 * Michael Geikowski, 21.6.93
 *
 * Generierung und Verwaltung des Top Windows
 *---------------------------------------------------------------------------*/

#include <Xm/Xm.h>

/*---------------------------------------------------------------------------*
 * Top-Window erzeugen. Top-Window besteht aus Menuzeile, Zeichenflaeche fuer
 * die Darstellung des Modul-Hierarchie-Graphen und einem Message-Window
 *---------------------------------------------------------------------------*/

void CreateTopWin(Widget toplevel, XtAppContext c);

/*---------------------------------------------------------------------------*
 * Meldung im Message-Window anzeugen
 *---------------------------------------------------------------------------*/

void DisplayMsg(char* msg);

/*---------------------------------------------------------------------------*
 * Schnellstart des Browsers:
 * Eine neue Sitzung mit dem Topmodul 'specfile' wird beim Start des 
 * Browsers begonnen.
 *---------------------------------------------------------------------------*/

void QuickStart(char* specfile);
