MODULE ATMAction 
(* originally from Lamports 9/91 TLA+ text, adapted to            *)
(* 2/92 and to Dortmund-Syntax: Mester, 1.7.92; Geikowski 18.5.93 *)

IMPORT BankInterface;

ACTIONS
  N == :E: A :in: ATM
        ::
           \/ /\ :E: am :in: ATMMessage :: AtoB.Send(am, A)
              /\ Unchanged( bToA )
           \/ /\ :E: bm :in: BankMessage :: BtoA.Rcv(bm, A)
              /\ Unchanged( aToB )
  ;

THEOREMS
  TypePreserving  ==  TypeOK /\ N => TypeOK'
  ;

END ATMAction
