CONSTANT MODULE ElevatorDefs

  PARAMETERS TopFloor : Nat;

  CONSTANTS
    Interval(i,j:Nat) : SUBSET ( Nat )  == { k | k :in: Nat : i <= k /\ k <= j };
    
    Floor : SUBSET ( Nat ) == Interval(1,TopFloor);

    OnOff == { "on", "off" };

    Directions == { "GoingUp", "GoingDown" };

END ElevatorDefs
