TEMPORAL MODULE ProcessB 

IMPORT SysVarDefs;


ACTIONS

 AlphaB == /\  (pc2 = "alpha") /\ ( 0 < semaphore)
           /\  pc2' = "beta"
           /\  semaphore' = semaphore + 1
           /\  UNCHANGED(pc1, pc3, value)
             ;

 BetaB  == /\ pc2 = "beta"
           /\ pc2' = "gamma"
           /\ (value.y)' = value.y + 1
           /\ UNCHANGED(semaphore, pc1 , pc3, value.x, value.y)
            ;

 GammaB == /\ pc2 = "gamma"
           /\ pc2' = "alpha"
           /\ semaphore' = semaphore - 1 
           /\ UNCHANGED(value, pc1, pc3) 
            ;

 ProcB  == AlphaB \/ BetaB \/ GammaB 
            ;
 



END ProcessB
